-- Copyright (c) 2012 Cloudera, Inc. All rights reserved.
--
-- Version 4510 of the CMF schema. 
-- Adds components, release and download dates to PARCELS
--

update SCHEMA_VERSION set VERSION=4510;

create table PARCEL_COMPONENTS (
  PARCEL_ID number not null,
  VERSION varchar(255) not null,
  COMPONENT_NAME varchar(255) not null,
  primary key (PARCEL_ID, COMPONENT_NAME)
);

create index IDX_COMPONENT_PARCEL on PARCEL_COMPONENTS (PARCEL_ID);

alter table PARCEL_COMPONENTS
  add constraint FK_COMPONENT_PARCEL
  foreign key (PARCEL_ID)
  references PARCELS (PARCEL_ID)
  deferrable initially immediate;

alter table PARCELS add (
  RELEASE_INSTANT number,
  DOWNLOAD_INSTANT number);
